curl "https://api.shortkit.dev/v1/live-streams/5a7b8c9d-e0f1-4234-5678-90abcdef1234" \
-H "Authorization: Bearer sk_live_your_secret_key"
import requests
resp = requests.get(
"https://api.shortkit.dev/v1/live-streams/5a7b8c9d-e0f1-4234-5678-90abcdef1234",
headers={"Authorization": "Bearer sk_live_your_secret_key"},
)
stream = resp.json()["data"]
const resp = await fetch(
"https://api.shortkit.dev/v1/live-streams/5a7b8c9d-e0f1-4234-5678-90abcdef1234",
{ headers: { Authorization: "Bearer sk_live_your_secret_key" } }
);
const { data: stream } = await resp.json();
{
"data": {
"id": "5a7b8c9d-e0f1-4234-5678-90abcdef1234",
"playbackId": "DS00Spx1CV3C00bv7n7CnG02ROsPIxQ100",
"status": "active",
"title": "Friday morning yoga",
"latencyMode": "low",
"reconnectWindow": 60,
"startedAt": "2026-04-17T14:00:00Z",
"endedAt": null,
"createdAt": "2026-04-17T13:55:00Z"
},
"meta": {
"request_id": "req_get001"
}
}
Live Streams
Get Live Stream
Retrieve a single live stream by ID.
GET
/
v1
/
live-streams
/
{id}
curl "https://api.shortkit.dev/v1/live-streams/5a7b8c9d-e0f1-4234-5678-90abcdef1234" \
-H "Authorization: Bearer sk_live_your_secret_key"
import requests
resp = requests.get(
"https://api.shortkit.dev/v1/live-streams/5a7b8c9d-e0f1-4234-5678-90abcdef1234",
headers={"Authorization": "Bearer sk_live_your_secret_key"},
)
stream = resp.json()["data"]
const resp = await fetch(
"https://api.shortkit.dev/v1/live-streams/5a7b8c9d-e0f1-4234-5678-90abcdef1234",
{ headers: { Authorization: "Bearer sk_live_your_secret_key" } }
);
const { data: stream } = await resp.json();
{
"data": {
"id": "5a7b8c9d-e0f1-4234-5678-90abcdef1234",
"playbackId": "DS00Spx1CV3C00bv7n7CnG02ROsPIxQ100",
"status": "active",
"title": "Friday morning yoga",
"latencyMode": "low",
"reconnectWindow": 60,
"startedAt": "2026-04-17T14:00:00Z",
"endedAt": null,
"createdAt": "2026-04-17T13:55:00Z"
},
"meta": {
"request_id": "req_get001"
}
}
Returns the live stream’s current state — including its
Returns a
status, startedAt, and endedAt timestamps. Authenticated with your secret key.
rtmpUrl and streamKey are not returned by this endpoint; they are only available on the Create Live Stream response.
Path parameters
string
required
The live stream’s UUID.
curl "https://api.shortkit.dev/v1/live-streams/5a7b8c9d-e0f1-4234-5678-90abcdef1234" \
-H "Authorization: Bearer sk_live_your_secret_key"
import requests
resp = requests.get(
"https://api.shortkit.dev/v1/live-streams/5a7b8c9d-e0f1-4234-5678-90abcdef1234",
headers={"Authorization": "Bearer sk_live_your_secret_key"},
)
stream = resp.json()["data"]
const resp = await fetch(
"https://api.shortkit.dev/v1/live-streams/5a7b8c9d-e0f1-4234-5678-90abcdef1234",
{ headers: { Authorization: "Bearer sk_live_your_secret_key" } }
);
const { data: stream } = await resp.json();
{
"data": {
"id": "5a7b8c9d-e0f1-4234-5678-90abcdef1234",
"playbackId": "DS00Spx1CV3C00bv7n7CnG02ROsPIxQ100",
"status": "active",
"title": "Friday morning yoga",
"latencyMode": "low",
"reconnectWindow": 60,
"startedAt": "2026-04-17T14:00:00Z",
"endedAt": null,
"createdAt": "2026-04-17T13:55:00Z"
},
"meta": {
"request_id": "req_get001"
}
}
404 if the stream does not exist or does not belong to your organization.